import java.io.IOException;

public class Palindromic {

    public static void main(String[] args) {
        Header();

        for (int i = 0; i < args.length; i++)
            ProcessString(args[i]);

        System.out.println("* Fin! *");

        waitt();
    }

    private static void Header() {
        System.out.println("Palindromic Lists");
        System.out.println();
        System.out.println("Author: Bary W Pollack - 1234 - Sect 001");
        System.out.println("Date:   December 25, 2000");
        System.out.println("Course: CIS 144 - Java - Assignment J2");
        System.out.println();
        System.out.println("Place all input strings on the command line.");
        System.out.println("The program converts each string into an equivalent list structure,");
        System.out.println("then copies the list, reverses it in place, and determines if it is");
        System.out.println("a 'palindrome' (equal it its reverse).");
        System.out.println();
    }

    private static void ProcessString(final String s) {
        System.out.println("Initial string:    " + s);
        Node n = new Node(s);
        System.out.println("String as a list:  " + n);
        Node c = n.copy();
        System.out.println("Copy as a list:    " + c);
        c = c.reverse();
        System.out.println("Copy reversed:     " + c);
        System.out.println("This string is " + (n.equals(c) ? "" : "NOT ") + "palindromic");
        System.out.println();
    }

    static void waitt() {
    	try {
    		byte [] b = new byte[2];
    		System.in.read(b, 0, 1);
    	}
    	catch (IOException e) {
    		System.out.println("IOException " + e + " ignored...");
    	}
    }
}

/*.....

INPUT:  a ab aba abc abba abcba abcdefghijkkjihgfedcba abcdefghijkNOkjihgfedcba 

OUTPUT:

Palindromic Lists

Author: Bary W Pollack
Date:   December 22, 1999
Course: CIS 144 - 001 - Java - Assignment J2

Place all input strings on the command line.
The program converts each string into an equivalent list structure,
then copies the list, reverses it in place, and determines if it is
a 'palindrome' (equal it its reverse).

Initial string:    a
String as a list:  a
Clone as a list:   a
Clone reversed:    a
This string is palindromic

Initial string:    ab
String as a list:  ab
Clone as a list:   ab
Clone reversed:    ba
This string is NOT palindromic

Initial string:    aba
String as a list:  aba
Clone as a list:   aba
Clone reversed:    aba
This string is palindromic

Initial string:    abc
String as a list:  abc
Clone as a list:   abc
Clone reversed:    cba
This string is NOT palindromic

Initial string:    abba
String as a list:  abba
Clone as a list:   abba
Clone reversed:    abba
This string is palindromic

Initial string:    abcba
String as a list:  abcba
Clone as a list:   abcba
Clone reversed:    abcba
This string is palindromic

Initial string:    abcdefghijkkjihgfedcba
String as a list:  abcdefghijkkjihgfedcba
Clone as a list:   abcdefghijkkjihgfedcba
Clone reversed:    abcdefghijkkjihgfedcba
This string is palindromic

Initial string:    abcdefghijkNOkjihgfedcba
String as a list:  abcdefghijkNOkjihgfedcba
Clone as a list:   abcdefghijkNOkjihgfedcba
Clone reversed:    abcdefghijkONkjihgfedcba
This string is NOT palindromic

* Fin! *

..... */
